rem Author:  Mark Lang, 1998
rem Name:    appown.sql
rem Purpose: Create a new APplication Schema Owner account
rem Usage:   @appown <username> <data_ts> <index_ts>
rem Subject: user
rem Attrib:  sql ddl dba
rem Descr:
rem Notes:
rem SeeAlso: @appdev @approl @appusr
rem History:
rem          01-feb-98  Initial release

@setup
set feedback on

define usr="&&1"
define data_ts="&&2"
define index_ts="&&3"

create user &&usr identified by &&usr
default tablespace &&defuserts
temporary tablespace &&deftempts;

rem grant create session to &&usr;
grant &&appownrole to &&usr;
alter user &&usr default tablespace &&data_ts;
alter user &&usr quota unlimited on &&data_ts;
alter user &&usr quota unlimited on &&index_ts;
alter user &&usr profile &&appownprof;
alter user &&usr quota 0 on users;

@setdefs

