rem Author:  Mark Lang, 1998
rem Name:    bg.sql
rem Purpose: Displays Oracle background processes
rem Usage:   @bg <%0|*1|name>
rem Subject: instance
rem Attrib:  sql
rem Descr:
rem Notes:   Put comments here
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

define arg="upper('&&1')"

column paddr format a16
column name  format a5
column description format a40 word
column error format 90

select
  paddr,
  name,
  description,
  error
from v$bgprocess
where (&&arg='*' or &&arg='1')
or (
  (&&arg='%' or &&arg='0' or upper(description) like &&arg) 
  and ltrim(replace(paddr, '0')) is not null
);

undef arg

@setdefs
