rem Author:  Mark Lang, 1998
rem Name:    cinfo.sql
rem Purpose: Display username and database
rem Usage:   @cinfo <%user%>
rem Subject: session
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @who
rem History:
rem          04-feb-98  Created

@setup

define usr="upper('&&1')"

column uname format a15
column status format a1 heading "S"
column module format a15 wrap
column action format a15 wrap
column client_info format a28 wrap

select
  s.username||','||s.sid uname
, substr(s.status, 1, 1) status
, s.module
, s.action
, s.client_info
from v$session s
where s.type = 'USER'
and s.username is not null
and s.username like &&usr
order by username
;

undef usr

@setdefs


