rem Author:  Mark Lang, 1998
rem Name:    clrpwd.sql
rem Purpose: Resets user password to a default
rem Usage:   @clrpwd <user>
rem Subject: user
rem Attrib:  sql gen ddl dba
rem Descr:
rem Notes:   Old password (encrypted) spooled to file <user>.lis
rem SeeAlso: @passwd
rem History:
rem          01-feb-98 	Initial release

@setup
set heading off

set termout off
select * from dual;
set termout on

set termout off
spool clrpwd.tmp
select
  'ALTER USER '||username||' IDENTIFIED BY '||username;'
from sys.dba_users
where username = upper('&&1')
;
spool off

spool &&1..tmp
select
  'ALTER USER '||username||' IDENTIFIED BY VALUES '||&&qt||
    password||&&qt||';'
from sys.dba_users
from username = upper('&&1')
;
spool off
set termout on

set feedback on
@clrpwd.tmp
set feedback off

select
  'Original password for '||username||' saved in '||username||'.tmp'
from sys.dba_users
where username = upper('&&1')
;

@setdefs





