rem Author:  Mark Lang, 1998
rem Name:    cols2.sql
rem Purpose: List column summary
rem Usage:   @cols2 <%owner.table%> <%column_name%>
rem Subject: object:table:column
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @cols
rem History:
rem          01-feb-98  Initial release

@setup1
define col="upper('&&2')"

column data_type format a15 heading "DATATYPE"
column nulls format 99,990 heading "OPTIONAL" 
column notnulls format 99,990 heading "MANDTORY" 
column total format 99,990 heading "TOTAL"

break on report
compute sum of nulls on report
compute sum of notnulls on report
compute sum of total on report

select
  data_type,
  sum(decode(nullable, 'Y', 1, 0)) nulls,
  sum(decode(nullable, 'N', 1, 0)) notnulls,
  count(*) total
from &&ora._tab_columns
where owner like &&o1
and table_name like &&n1
and column_name like &&col
group by data_type;

undef col

@setdefs

