rem Author:  Mark Lang, 1998
rem Name:    cons2.sql
rem Purpose: List summary of constraints by type
rem Usage:   @cons2 <%owner.table%> <%constraint%>
rem Subject: object:table:constraint
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @cons
rem History:
rem          01-feb-98  Added <%constraint%> argument
rem          01-feb-98  Initial release

@setup1

define con="upper('&&2')"
define typ="decode(c.constraint_type,'P','PRIMARY KEY','U','UNIQUE KEY','R','FOREIGN KEY','C','CHECK','V','CHECK OPTION','UNKNOWN')"

column ctype format a15
column enabled format 9990
column disabled format 9990

select
&&typ ctype
,sum(decode(c.status,'ENABLED',1,0)) enabled
,sum(decode(c.status,'ENABLED',0,1)) disabled
from &&ora._constraints c
where owner like &&o1
and table_name like &&n1
and constraint_type like &&con
group by &&typ
;

undef con typ

@setdefs

