rem Author:  Mark Lang, 1998
rem Name:    cursors.sql
rem Purpose: Display open cursors
rem Usage:   @cursors <%user%>
rem Subject: tuning
rem Attrib:  sql dba
rem Descr:
rem Notes:   
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release
rem          21-jan-98  Added <%user%> parameter

@setup.sql
define usr="upper('&&1')"

select user_name, count(*) "COUNT"
from v$open_cursor
where user_name like &&usr
group by user_name
;

prompt

column text format a40 heading "SUMMARY"
set heading off
select
  'Cursors (Sum): '||to_char(sum(count(*)),'9990.99')||&&cr||
  'Cursors (Min): '||to_char(min(count(*)),'9990.99')||&&cr||
  'Cursors (Max): '||to_char(max(count(*)),'9990.99')||&&cr||
  'Cursors (Avg): '||to_char(avg(count(*)),'9990.99')||&&cr||
  'Users        : '||to_char(count(count(*)),'9990.99') text
from v$open_cursor
where user_name like &&usr
group by user_name
;

undef usr

@setdefs.sql
