rem Author:  Mark Lang, 1998
rem Name:    del.sql
rem Purpose: Delete rows
rem Usage:   @del <%owner.table%>
rem Subject: object:table
rem Attrib:
rem Descr:
rem Notes:   Use with caution
rem SeeAlso: @trunc
rem History:
rem          01-feb-98  Initial release

@setup1
SET HEADING OFF

DEFINE ty="UPPER('&&2')"

SPOOL del.tmp
SELECT
  'delete from '||o.owner||'.'||o.object_name||';'
FROM sys.dba_objects o
WHERE o.owner <> 'SYS'
AND o.owner LIKE &&o1
AND o.object_name LIKE &&n1
AND o.object_type LIKE &&ty
AND o.object_type IN ('TABLE')
ORDER BY o.owner, o.object_name
;
SPOOL OFF

SET FEEDBACK ON
@doit
@del.tmp

undef ty

@setdefs

