rem Author:  Mark Lang, 1998
rem Name:    disablet.sql
rem Purpose: Disable triggers
rem Usage:   @disablet <%owner.table%>
rem Subject: object
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso: @enablet @trigs
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

spool disablet.tmp

select
'alter table '||owner||'.'||table_name||' disable all triggers;'
from all_tables
where owner like &&o1
and table_name like &&n1
order by owner, table_name
;

spool off
@doit
set feedback on
@disablet.tmp
@setdefs

