rem Author:  Mark Lang, 1998
rem Name:    dropexcl.sql
rem Purpose: Drop database objects (with exlucde parameter)
rem Usage:   @dropexcl <%owner.table%> <%type%> <%exclude%>
rem Subject: object
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:   USE WITH CAUTION
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1
SET HEADING OFF

DEFINE ty="UPPER('&&2')"
define ex="upper('&&3')"

SPOOL dropexcl.tmp
SELECT
  'DROP '||o.object_type||' '||o.owner||'.'||o.object_name||
  DECODE(o.object_type,
    'TABLE', ' CASCADE CONSTRAINTS',
    'CLUSTER', ' INCLUDING TABLES CASCADE CONSTRAINTS'
  )||';'
FROM &&ora._objects o
WHERE o.owner <> 'SYS'
AND o.owner LIKE &&o1
AND o.object_name LIKE &&n1
and o.object_name not like &&ex
AND o.object_type LIKE &&ty
AND o.object_type NOT IN ('PACKAGE BODY')
ORDER BY o.owner, o.object_name
;
SPOOL OFF

SET FEEDBACK ON
@doit
@dropexcl.tmp

undef ty ex

@setdefs

