rem Author:  Mark Lang, 1998
rem Name:    droprefs.sql
rem Purpose: Drop foreign keys which references specified tables
rem Usage:   @droprefs <%r_owner.r_table%> <%owner.table%>
rem Subject: object:table:constraint
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso: @cons @dropc @refs @restrefs @saverefs
rem History:
rem          01-feb-98  Initial release

@setup2
set heading off

spool droprefs.tmp

select
'alter table '||c.owner||'.'||c.table_name||&&cr
||'drop constraint '||c.constraint_name||';'
from &&ora._constraints c, &&ora._constraints c2
where c.constraint_type='R'
and c.r_owner=c2.owner
and c.r_constraint_name=c2.constraint_name
and c.owner like &&o2
and c.table_name like &&n2
and c2.owner <> 'SYS'
and c2.owner like &&o1
and c2.table_name like &&n1
;

spool off
@doit
set feedback on
@droprefs.tmp
@setdefs

