rem Author:  Mark Lang, 1998
rem Name:    dropt.sql
rem Purpose: Drop triggers on a table
rem Usage:   <%owner.table%>
rem Subject: object:table:trigger
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @disablet @drop @trigs
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

spool dropt.tmp

select
'drop trigger '||owner||'.'||trigger_name||';'
from &&ora._triggers
where table_owner<>'SYS'
and table_owner like &&o1
and table_name like &&n1
;

spool off
@doit
set feedback on
@dropt.tmp
@setdefs

