rem Author:  Mark Lang, 1998
rem Name:    dumpp.sql
rem Purpose: Dump public synonyms
rem Usage:   @dumpp
rem Subject: database
rem Attrib:  sql
rem Descr:
rem Notes:   Useful during database recreation from exports
rem SeeAlso:
rem History:

@setup
set heading off

spool dumpp.tmp

select
  'create public synonym '||synonym_name||&&cr||
  'for '||table_owner||'.'||table_name||
  decode(db_link, null, '', '@'||db_link)||';'
from sys.dba_synonyms
where owner = 'PUBLIC'
order by synonym_name
;

spool off

@setdefs

