rem Author:  Mark Lang, 1998
rem Name:    dups.sql
rem Purpose: Display rows with duplicate values
rem Usage:   @dups <owner.table> <expr>
rem Subject: data
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:

@setup

define tab="&&1"
define exp="&&2"

select
  &&exp expr
from &&tab t
where exists (
  select 0
  from &&tab
  where &&exp = t.&&exp
  and rowid <> t.rowid
)
order by &&exp
;

undef tab exp

@setdefs
