rem Author:  Mark Lang, 1998
rem Name:    enablet.sql
rem Purpose: Disable triggers
rem Usage:   @enablet <%owner.table%>
rem Subject: object:table:trigger
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso: @disablet
rem History:
rem          01-feb-98  Initial release

@@setup1
set heading off

spool enablet.tmp

select
'alter table '||owner||'.'||table_name||' enable all triggers;'
from all_tables
where owner like &&o1
and table_name like &&n1
order by owner, table_name
;

spool off
@@doit
set feedback on
@enablet.tmp
@@setdefs

