rem Author:  Mark Lang, 1998
rem Name:    except.sql
rem Purpose: Display formatted EXCEPTIONS table
rem Usage:   @except <%owner.table%>
rem Subject: object:table:constraint
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @exceptd @exceptl
rem History:
rem          01-feb-98  Initial release

@setup1

column owner format a12
column table_name format a20
column constraint format a25

select
  row_id,
  owner,
  table_name,
  constraint
from exceptions
and owner like &&o1
and table_name like &&n1
;

@setdefs

