rem Author:  Mark Lang, 1998
rem Name:    expltab.sql
rem Purpose: Create PLAN_TABLE for explain plan
rem Usage:   @expltab
rem Subject: tuning
rem Attrib:  sql ddl
rem Descr:
rem Notes:   Based on 7.3 PLAN_TABLE
rem SeeAlso: @explain @explstmt
rem History:
rem          01-feb-98  Initial release

set termout off
create table plan_table (
  STATEMENT_ID     VARCHAR2(30)
, TIMESTAMP        DATE
, REMARKS          VARCHAR2(80)
, OPERATION        VARCHAR2(30)
, OPTIONS          VARCHAR2(30)
, OBJECT_NODE      VARCHAR2(128)
, OBJECT_OWNER     VARCHAR2(30)
, OBJECT_NAME      VARCHAR2(30)
, OBJECT_INSTANCE  NUMBER(38)
, OBJECT_TYPE      VARCHAR2(30)
, OPTIMIZER        VARCHAR2(255)
, SEARCH_COLUMNS   NUMBER(38)
, ID               NUMBER(38)
, PARENT_ID        NUMBER(38)
, POSITION         NUMBER(38)
, COST             NUMBER(38)
, CARDINALITY      NUMBER(38)
, BYTES            NUMBER(38)
, OTHER_TAG        VARCHAR2(255)
, OTHER            LONG
);
set termout on
