rem Author:  Mark Lang, 1998
rem Name:    grants2.sql
rem Purpose: Displays grants grouped by grantee
rem Usage:   @grants2 <%owner.table%>
rem Subject: security
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso: @crud @privs
rem History:
rem          01-aug-98  Initial release

@setup1

select
  grantee,grantable,count(*)
from sys.dba_tab_privs
where owner like &&o1
and table_name like &&n1
group by grantee,grantable
order by grantee,grantable
/

@setdefs

