rem Author:  Mark Lang, 1998
rem Name:    kill.sql
rem Purpose: kills active users session
rem Usage:   @kill <%username%> <sid,serial#>
rem Subject: session
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @sess @who
rem History:
rem          01-feb-98  Initial release


@setup
set heading off

spool kill.tmp

select 'alter system kill session '||chr(39)||sid||','||serial#||chr(39)||';'
from v$session
where username like upper('&&1')
and ltrim(to_char(sid))||','||ltrim(to_char(serial#)) like '&&2'
and status != 'KILLED';

spool off
@doit
set feedback on
@kill.tmp
@setdefs

