create or replace package body lang_util
as
-- SOME PARTS OF THIS CODE ARE OBSOLETE AND IS STILL BEING 
-- REWORKED--YOU SHOULD NOT USE THIS PACKAGE DIRECTLY FOR THE
-- THE TIME BEING BECAUSE IT WILL BE CHANGING IN FUTRE RELEASES
-- IT IS PROVIDED "AS IS"

function version
return varchar2 is
begin
  return 'Mar 23, 1998';
end;

function element (
  str varchar2
, delim varchar2 default ' '
, elem number default 0
, quote varchar2 default null
) return varchar2 is

  result varchar2(2000);

  a binary_integer;
  b binary_integer;
  c binary_integer;
  i binary_integer;
  j binary_integer;
  n binary_integer;

  bq char(1);
  eq char(1);

  function getnext(n binary_integer)
  return number is
    i binary_integer;
    j binary_integer;
    p binary_integer;
    q binary_integer;
  begin
    if bq is null then
      return instr(str,delim,n+1,1);
    end if;
    i:=n+1;
    loop
      j:=instr(str,delim,i,1);
      p:=instr(str,bq,i,1);
      if j<p or p=0 then
        return j;
      else
        q:=instr(str,eq,p+1,1);
        if q=0 then
          return 0;
        end if;
        i:=q+1;
      end if;
    end loop;
  end;

begin
  if elem < 1 then
    return delim;
  end if;

  if quote is null then
    -- USE SIMPLE VERSION
    if elem < 1 then
      return delim;
    elsif elem = 1 then
      j := instr(str, delim, 1, elem);
      if j = 0 then
        return str;
      else
        return substr(str, 1, j - 1);
      end if;
    else
      i := instr(str, delim, 1, elem - 1);
      j := instr(str, delim, 1, elem);
      if i = 0 then
        return delim;
      elsif j = 0 then
        return substr(str, i + length(delim));
      else
        return substr(str, i + length(delim), j - i - length(delim));
      end if;
    end if;
  else
    -- USE COMPLEX VERSION
    -- GET QUOTE CHARACTER
    if quote is not null then
      bq := substr(quote, 1, 1);
      if length(quote) > 1 then
        eq := substr(quote, 2, 1);
      else
        eq := bq;
      end if;
    end if;

    -- SKIP n-1 ELEMENTS
    b := 0; n := elem;
    while n > 1 loop
      b := getnext(b);
      if b = 0 then
        return delim;
      end if;
      n := n - 1;
    end loop;

    -- RETURN nth ELEMENT
    a := b;
    b := getnext(a);
    if b>0 then
      result := replace(replace(substr(str, a + 1, b - a - 1), bq), eq);
    else
      result := replace(replace(substr(str, a+1), bq), eq);
    end if;
    return result;
  end if;
end element;


function default_value(objown varchar2, objnam varchar2, colnam varchar2)
  return varchar2 is
  retval varchar2(2000);
begin
  select data_default
  into retval
  from all_tab_columns
  where owner = upper(objown)
  and table_name = upper(objnam)
  and column_name = upper(colnam);

  return retval;
exception
  when no_data_found then
  return null;
end;


function rtable (cown varchar2, cnam varchar2)
return varchar2 is
  retval varchar2(30);
begin
  select
    table_name
  into retval
  from all_constraints
  where owner = upper(cown)
  and constraint_name = upper(cnam);
  return retval;
exception
  when no_data_found then
  return null;
end;


function scond (cown varchar2, cnam varchar2)
return varchar2
is
  v_retval varchar2(2000);
begin
  select
    search_condition
  into v_retval
  from all_constraints c
  where owner = upper(cown)
  and constraint_name = upper(cnam);

  return v_retval;

exception
  when no_data_found then
    return null;
  when value_error then
    return null;
end;


/* Name:    stora.sql                                                     */
/* Purpose: Generate storage parameters for a segment and modify based on value/
/* Usage:   storage(owner, name [, tablespace, compress, seperator])      */
/* Subject: FUNCTION                                                      */
/* Notes:   valid compress options are:                                   */
/*          0 - return empty string (use defaults of tablespace)          */
/*          1 - return current settings                                   */
/*          2 - compress to one initial extent, set NEXT according to PCTINCREA/
/*          3 - like 2 but set PCTINCREASE 0 and use std segment size for NEXT*/
/*                                                                        */
/*                                                                        */

function storage (
  objown varchar2
, objnam varchar2
, objtyp varchar2
, newts varchar2 default '*'
, compres number default 0
, delim varchar2 default chr(10)
) return varchar2
is
  t all_tables%rowtype;
  retval varchar2(2000);

  function f_r_next (n_s number) return number
  is
    n_k number;
  begin
    n_k := n_s / 1024;
    if n_k <= 100 then n_k := 10;
    elsif n_k <= 1000 then n_k := 100;
    elsif n_k <= 10000 then n_k := 1000;
    else n_k := 10000;
    end if;
    return n_k * 1024;
  end;

  function f_r_init (n_s number) return number
  is
  begin
    return trunc(((n_s/f_r_next(n_s))+1))*f_r_next(n_s);
  end;

  function f_addsep (v_s varchar2) return varchar2
  is
  begin
    if v_s = '' or v_s is null then
      return '';
    else
      return v_s || delim;
    end if;
  end;

begin

/*
  if objtyp = 'TABLE' then
    select *
    into t
    from all_tables
    where owner = objown
    and table_name = objnam;
  end if;
  for r in (
    select *
    from
  ) loop
    tablespace_name,
    segment_type,
    bytes,
    initial_extent,
    next_extent,
    pct_increase
  into new_ts1, v_ty, n_bt, n_ie, n_ne, n_pi
  from all_segments
  where owner = objown
  and segment_name = objnam
  and segment_type = objtyp;

  if v_ty = 'table' then
    select pct_free, pct_used, ini_trans, max_trans
    into n_pf, n_pu, n_it, n_mt
    from all_tables t
    where t.owner = objown and t.table_name = objnam;
  elsif v_ty = 'index' then
    select pct_free, null, ini_trans, max_trans
    into n_pf, n_pu, n_it, n_mt
    from all_indexes i
    where i.owner = objown and i.index_name = objnam;
  elsif v_ty = 'cluster' then
    select pct_free, pct_used, ini_trans, max_trans
    into n_pf, n_pu, n_it, n_mt
    from all_clusters c
    where c.owner = objown and c.cluster_name = objnam;
  end if;

  if nvl(new_ts, '*') = '*' then
    v_retval := f_addsep(v_retval)||'tablespace '||new_ts1;
  elsif upper(new_ts) <> 'default' then
    v_retval := v_retval||'tablespace '||new_ts;
  end if;

  if comprs = 0 then
    return v_retval;
  end if;

  if n_pf is not null then
    v_retval := f_addsep(v_retval)||'pctfree '||n_pf;
  end if;

  if n_pu is not null then
    v_retval := f_addsep(v_retval)||'pctused '||n_pu;
  end if;

  if n_it is not null then
    v_retval := f_addsep(v_retval)||'initrans '||n_it;
  end if;

  if n_mt is not null then
    v_retval := f_addsep(v_retval)||'maxtrans '||n_mt;
  end if;

  v_retval := f_addsep(v_retval)||'storage (';

  if comprs > 1 then
    if n_pf = 0 or comprs > 2 then    -- compress pctincrease 0
      v_retval := v_retval||'initial '||f_r_init(n_bt)||
        ' next '||f_r_next(n_bt)||
        ' pctincrease 0';
    else                                -- compress pctincrease != 0
      n_x := round(n_bt*n_pf/100);
      n_x := trunc(n_x/1024)*1024;
      v_retval := v_retval||'initial '||n_bt||' next '||n_x||
        ' pctincrease '||n_pf;
    end if;
  else                                  -- dont compress
    v_retval := v_retval||'initial '||n_ie||' next '||n_ne||
      ' pctincrease '||n_pf;
  end if;
*/
  return retval;

exception
  when no_data_found then
    return '';

end storage;


function column_list (
  objown varchar2
, objnam varchar2
, objtyp varchar2 default 'TABLE'
, objcol varchar2 default '%'
, orderby number default 0      -- 0=id, else name
, fmt1 varchar2 default '?'
, fmtn varchar2 default ',*'
, maxlen number default 0
, exclcols varchar2 default null
) return varchar2
-- format chars ?=column_name ?#=column_id *=fmt1
is
  i binary_integer;
  retval varchar2(2000) := null;

  function build_list(n varchar2)
  return boolean
  is
    s varchar2(128);
  begin
    if instr(','||upper(exclcols)||',', ','||n||',') = 0 then
      if i = 0 then
        s := fmt1;
      else
        s := replace(fmtn, '*', fmt1);
      end if;
      s := replace(replace(s, '?#', to_char(i)), '?', n);
      if maxlen = 0 or length(retval) + length(s) <= maxlen then
        retval := retval || s;
        i := i + 1;
        return false;
      else
        return true;
      end if;
    end if;
  end build_list;

begin
  i := 0;
  if objtyp in ('TABLE', 'VIEW') then
    for r in (
      select column_id, column_name
      from all_tab_columns
      where owner = upper(objown)
      and table_name = upper(objnam)
      and column_name like upper(objcol)
      order by decode(orderby, 0, lpad(column_id,4), column_name)
    ) loop
      exit when build_list(r.column_name);
    end loop;
  elsif objtyp = 'INDEX' then
    for r in (
      select column_position, column_name
      from all_ind_columns
      where index_owner = upper(objown)
      and index_name = upper(objnam)
      and column_name like upper(objcol)
      order by decode(orderby, 0, lpad(column_position,4), column_name)
    ) loop
      exit when build_list(r.column_name);
    end loop;
  elsif objtyp = 'CONSTRAINT' then
    for r in (
      select position, column_name
      from sys.all_cons_columns
      where owner = upper(objown)
      and constraint_name = upper(objnam)
      and column_name like '%'
      order by decode(orderby, 0, lpad(position,4), column_name)
    ) loop
      exit when build_list(r.column_name);
    end loop;
  elsif objtyp = 'TRIGGER' then
    for r in (
      select column_name
      from all_trigger_cols
      where trigger_owner = upper(objown)
      and trigger_name = upper(objnam)
      and column_name like upper(objcol)
      order by decode(orderby, 0, 'X', column_name)
    ) loop
      exit when build_list(r.column_name);
    end loop;
  else
    retval := 'INVALID ARGUMENT';
  end if;

  return retval;
end;

function shortname (v_owner varchar2, v_table varchar2)
return varchar2
is
begin
  for r in (
    select substr(constraint_name,1,instr(constraint_name,'_')) short_name
    from all_constraints
    where constraint_type in ('P','U')
    order by constraint_type
  ) loop
    return r.short_name;
  end loop;
end;

function userid (uname varchar2)
return number
is
  retval number;
begin
  for r in (
    select user_id
    from all_users
    where username = upper(uname)
  ) loop
    return r.user_id;
  end loop;
  return null;
end;

function objid (
  objown varchar2
, objnam varchar2
, objtyp varchar2 default 'TABLE'
) return number
is
begin
  for r in (
    select *
    from all_objects
    where owner = objown
    and object_name = objnam
    and object_type like objtyp
  ) loop
    return r.object_id;
  end loop;
end objid;

function object_exists(
  objown varchar2
, objnam varchar2
, objtyp varchar2 default 'TABLE'
) return boolean
is
  n number;
begin
  select count(*)
  into n
  from all_objects
  where owner = objown
  and objnam = objnam
  and objtyp = objtyp
  and rownum = 1;
  return n > 0;
end object_exists;


function column_in_pk(town varchar2, tnam varchar2, col varchar2)
return number is
  cnam varchar2(30);
  retval number;
begin
  select constraint_name
  into cnam
  from all_constraints
  where owner = upper(town)
  and table_name = upper(tnam)
  and constraint_type = 'P';

  select position
  into retval
  from all_cons_columns
  where owner = upper(town)
  and constraint_name = cnam
  and column_name = upper(col);

  return retval;
exception
  when no_data_found then
  return 0;
end column_in_pk;


function fmtk(num number, len number default 5, dec number default null)
-- is dec is null then ROLL decimal point farthest left
return varchar2 is
  kb constant number := 1024;
  mb constant number := kb*1024;
  gb constant number := mb*1024;
  tb constant number := gb*1024;
  pb constant number := tb*1024;
  fmt1 varchar2(50);
  fmt2 varchar2(50);
  fmt3 varchar2(50);
  n number;
  retval varchar2(50);
begin
  -- SETUP FORMATS
  if len < 4 or dec > len-5 then
    return rpad('*', len, '*');
  end if;

  if dec is null then
    if len = 4 then
      fmt1 := '0.0';
      fmt2 := '990';
      fmt3 := '990';
    elsif len = 5 then
      fmt1 := '0.90';
      fmt2 := '90.0';
      fmt3 := '9990';
    else
      fmt1 := '0.900';
      fmt2 := '90.90';
      fmt3 := '990.0';
    end if;
  else
    if dec > 0 then
      fmt1 := rpad('9', len-dec-2, '9')||'0.'||rpad('9', dec-1, '9')||'0';
    else
      fmt1 := rpad('9', len-1, '9')||'0';
    end if;
    fmt2 := fmt1;
    fmt3 := fmt1;
  end if;

  -- FORMAT
  if len > 3 then
    n := abs(num);
    if    n < 1000    then
      retval := to_char(n, fmt3);
    elsif n < kb*10   then
      retval := to_char(n/kb, fmt1)||'K';
    elsif n < kb*100  then
      retval := to_char(n/kb, fmt2)||'K';
    elsif n < kb*1000 then
      retval := to_char(n/kb, fmt3)||'K';
    elsif n < mb*10   then
      retval := to_char(n/mb, fmt1)||'M';
    elsif n < mb*100  then
      retval := to_char(n/mb, fmt2)||'M';
    elsif n < mb*1000 then
      retval := to_char(n/mb, fmt3)||'M';
    elsif n < gb*10   then
      retval := to_char(n/gb, fmt1)||'G';
    elsif n < gb*100  then
      retval := to_char(n/gb, fmt2)||'G';
    elsif n < gb*1000 then
      retval := to_char(n/gb, fmt3)||'G';
    elsif n < tb*10   then
      retval := to_char(n/tb, fmt1)||'T';
    elsif n < tb*100  then
      retval := to_char(n/tb, fmt2)||'T';
    elsif n < tb*1000 then
      retval := to_char(n/tb, fmt3)||'T';
    elsif n < pb*10   then
      retval := to_char(n/pb, fmt1)||'P';
    elsif n < pb*100  then
      retval := to_char(n/pb, fmt2)||'P';
    elsif n < pb*1000 then
      retval := to_char(n/pb, fmt3)||'P';
    else
      retval := rpad('*', len, '*');
    end if;
  end if;

  -- RETURN RESULT
  return lpad(ltrim(retval), len);
end fmtk;


/*
procedure eval(expr varchar2, retval in out varchar2
, len number default 255)
is
  stmt varchar2(2000);
  c number;
  result number;
begin
  stmt := 'select '||expr||' from sys.dual';
  c := dbms_sql.open_cursor;
  dbms_sql.parse(c, stmt, dbms_sql.native);
  dbms_sql.define_column(c, 1, retval, len);
  result := dbms_sql.execute_and_fetch(i);
  if result > 0 then
    dbms_sql.column_value(c, 1, retval);
  else
    retval := null;
  end if;
  dbms_sql.close_cursor(c);
exception
  when others then
  if dbms_sql.is_open(c) then
    dbms_sql.close_cursor(c);
  end if;
  raise;
end eval;

*/

end lang_util;
/

show errors package body lang_util

