rem Author:  Mark Lang, 1998
rem Name:    links.sql
rem Purpose: List database links
rem Usage:   @links <%owner.link%>
rem Subject: object:dblink
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1

column linkname format a25
column username format a15
column host     format a25

select
  owner||'.'||db_link linkname
, username
, host
, created
from &&ora._db_links
where owner like &&o1
and db_link like &&n1
;

@setdefs

