rem Author:  Mark Lang, 1998
rem Name:    list.sql
rem Purpose: List source code
rem Usage:   @list <owner.name> <type> <line_start> <line_end>
rem Subject: plsql
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @code @errors @invalid
rem History:
rem          01-feb-98  Initial release

@setup1
define typ="upper('&&2')"
define ln1="&&3"
define ln2="&&4"

set heading off
column text format a80 wrap

select
  lpad(to_char(line), 5)||': '||text text
from &&ora._source
where owner = &&o1
and name = &&n1
and type like &&typ
and line between &&ln1 and &&ln2
;

undef typ ln1 ln2

@setdefs


