rem Author:  Mark Lang, 1998
rem Name:    miscons.sql
rem Purpose: Report missing constraints in current database from another
rem Usage:   @miscons <%owner.name%> <%constraint_type%> <db>
rem Subject: object:table:constraint
rem Attrib:  sql
rem Descr:
rem Notes:   Use in the database which is missing constraints
rem SeeAlso: @miscols @misobjs
rem History:
rem          01-feb-98  Initial release

@setup1

define db1="@&&2"
define db2=""
define ty="upper('&&2')"
define cols="owner||'.'||table_name tname,constraint_name,constraint_type"

column tname format a30
column constraint_name format a20
column constraint_type format a1

select 
&&cols
from &&ora._constraints&&db1
where owner like &&o1 
and table_name like &&n1
and constraint_type like &&ty
minus
select 
&&cols
from &&ora._constraints&&db2
where owner like &&o1
and table_name like &&n1
and constraint_type like &&ty
;

undef db1 db2 ty cols

@setdefs

