rem Author:  Mark Lang, 1998
rem Name:    misobjs.sql
rem Purpose: Report missing objects in current database from another
rem Usage:   @misobjs <%owner.name%> <%object_type%> <db>
rem Subject: object
rem Attrib:  sql
rem Descr:
rem Notes:   Use in the database which is missing objects
rem SeeAlso: @miscols @miscons
rem History:
rem          01-feb-98  Initial release

@setup1

define db1="@&&3"
define db2=""
define ty="upper('&&2')"
define cols="owner||'.'||object_name oname,object_type"

column oname format a30
column object_type format a15

select 
&&cols
from &&ora._objects&&db1
where owner like &&o1 
and object_name like &&n1
and object_type like &&ty
minus
select 
&&cols
from &&ora._objects&&db2
where owner like &&o1
and object_name like &&n1
and object_type like &&ty
;

undef db1 db2 ty cols

@setdefs

