rem Author:  Mark Lang, 1998
rem Name:    movefile.sql
rem Purpose: Generates script to move datafiles to another disk
rem Usage:   @movefile <%filename%> <search> <replace>
rem Subject: database
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          22-jun-98  1st argument needs to support mixed case
rem          01-feb-98  Initial release

@setup
set heading off

prompt Spooling to movefile.tmp...
spool movefile.tmp

define file="'&&1'"
define srch="'&&2'"
define repl="'&&3'"

select 
'alter database rename file '''||name||''''||&&cr||
'to '''||replace(name,&&srch,&&repl)||''';'
from v$datafile
where name like &&file
order by name;

select 
'alter database rename file '''||member||''''||&&cr||
'to '''||replace(member,&&srch,&&repl)||''';'
from v$logfile
where member like &&file
order by member;

spool off

undef file srch repl

@setdefs
