rem Author:  Mark Lang, 1998
rem Name:    nls.sql
rem Purpose: Display NLS parameters
rem Usage:   @nls
rem Subject: nls
rem Attrib:  sql
rem Descr:   
rem Notes:   
rem SeeAlso: 
rem History:
rem          01-feb-98  Initial release

@setup

column parameter format a25
column database_value format a15
column instance_value format a15
column session_value format a15

select
d.parameter 
,d.value database_value
,i.value instance_value
,s.value session_value
from nls_database_parameters d
, nls_instance_parameters i
, nls_session_parameters s
where d.parameter=i.parameter(+)
and d.parameter=s.parameter(+)
;

@setdefs
