rem Author:  Mark Lang, 1998
rem Name:    paramd.sql
rem Purpose: Display instance parameters (from init.ora)
rem Usage;   @paramd <%parameter%> 
rem Subject: instance
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso: @params
rem History:


@setup

define par="upper('&&1')"

column name      format a30
column value     format a35
column isdefault format a5

select
  name,
  value,
  isdefault
from v$parameter&&db
where upper(name) like &&par
and isdefault like &&def
order by name
;

undef par

@setdefs
