rem Author:  Mark Lang, 1998
rem Name:    passwd.sql
rem Purpose: Change user password
rem Usage:   @passwd
rem Subject: user
rem Attrib:  pls ddl
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup
set serveroutput on size 10240

accept passwd char prompt "Password: " hide
accept verpwd char prompt "Verify: " hide

declare
  n number;
  cmd varchar2(2000);

function exec(stmt varchar2)
return number is
  i number;
  retval number;
begin
  i:=sys.dbms_sql.open_cursor;
  sys.dbms_sql.parse(i,stmt,sys.dbms_sql.v7);
  retval:=sys.dbms_sql.execute(i);
  sys.dbms_sql.close_cursor(i);
  return retval;
end;

begin
  if upper('&&passwd')=upper('&&verpwd') then
    cmd:='alter user '||user||' identified by &&passwd';
    n:=exec(cmd);
    if n = 0 then
      &&putl('Password changed.');
    else
      &&putl('An error occurred, password not changed.');
    end if;
  else
    &&putl('Password was not correctly verified.');
  end if;
end;
/

undef passwd verpwd

@setdefs

