rem Author:  Mark Lang, 1998
rem Name:    ping.sql
rem Purpose: Ping a database
rem Usage:   @ping <db>
rem Subject: instance
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release


@setup
set heading off

set term off
select '' from dual;
set term on

set timing on
select 'Ping successful to '||upper('&&1')||' at '||
  to_char(sysdate, 'Dy Mon DD, YYYY HH24:MI:SS')||'.'
from dual@&&1
;
set timing off

@setdefs
