rem Author:  Mark Lang, 1998
rem Name:    protect.sql
rem Purpose: Mass change password for group of users
rem Usage:   @protect <%user%> <%has_role%> <UR|%> <has_password?>
rem Subject: user
rem Attrib:
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

define usr="upper('&&1')"
define rol="upper('&&2')"
define typ="replace(upper('&&3'),'%','UR')"
define pas="upper('&&4')"

accept passwd char prompt "Password: " hide
accept verpas char prompt "Verify: " hide

spool protect.tmp

select
'alter user '||username||' identified by '||&&am||&&am||'passwd;'
from sys.dba_users u
where instr(&&typ, 'U') > 0
and username like &&usr
and username not in (&&sysusers)
and (
  &&rol='%'
  or exists (
    select 0
    from sys.dba_role_privs
    where grantee=u.username
    and granted_role like &&rol
  )
)
--and &&pas='%'
and upper('&&passwd')=upper('&&verpas')
order by u.username
;

select
'alter role '||role||' identified by '||&&am||&&am||'passwd;'
from sys.dba_roles u
where instr(&&typ, 'R') > 0
and role like &&usr
and role not in (&&sysroles)
and (
  &&rol='%'
  or exists (
      select 0
      from sys.dba_role_privs
      where grantee=u.role
      and granted_role like &&rol
  )
)
and password_required like &&pas
and upper('&&passwd')=upper('&&verpas')
order by role
;

spool off
@doit
set feedback on
@protect.tmp

undef passwd verpas usr rol typ pas

@setdefs

