rem Author:  Mark Lang, 1998
rem Name:    purgeaud.sql
rem Purpose: Purge audit trail
rem Usage:   @purgeaud <days>
rem Subject: security
rem Attrib:  sql dba n80
rem Descr:
rem Notes:   enh: Oracle8 doesnt recognize timestamp column
rem SeeAlso: @aud
rem History:
rem          01-feb-98  Initial release

@setup
set feedback on

define days="to_number('&&1')"

delete from sys.aud$
where timestamp<trunc(sysdate)-&&days
;

undef days

@setdefs

