rem Author:  Mark Lang, 1998
rem Name:    rbsoff.sql
rem Purpose: Set available rollback segments online
rem Usage:   @rbsoff <%rbs%>
rem Subject: database
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso: @rbson
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

spool rbsoff.tmp

select
'alter rollback segment '||segment_name||' offline;'
from sys.dba_rollback_segs
where segment_name like upper('&&1')
and tablespace_name<>'SYSTEM'
and status='ONLINE'
order by segment_name
;

spool off

@doit
set feedback on
@rbsoff.tmp
@setdefs

