rem Author:  Mark Lang, 1998
rem Name:    refgrps.sql
rem Purpose: Display refresh groups
rem Usage:   @refgrps <%owner.name%>
rem Subject: object:snapshot
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @jobs @snaps
rem History:
rem          01-feb-98  Initial release

@setup1

column name format a25
column refgroup format 990 heading "GRP"
column implicit_destroy format a1 heading "D"
column push_defferred_rpc format a1 heading "P"
column refresh_after_errors format a1 heading "R"
column rollback_seg format a10 heading "RBSSEG"
column job format 9990 heading "JOB"
column ndate format a16 heading "NEXT DATE"

select
  rowner||'.'||rname name
, refgroup
, implicit_destroy
, push_deferred_rpc
, refresh_after_errors
, rollback_seg
, job
, to_char(next_date, 'Dy Mon DD HH24:MI') ndate
--, interval
--, broken
from &&ora._refresh
where rowner like &&o1
and rname like &&n1
;

@setdefs
