rem Author:  Mark Lang, 1998
rem Name:    rename.sql
rem Purpose: Script to mass rename objects
rem Usage:   @rename <%owner.name%> <find_string> <repl_string>
rem Subject: object
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:   Currently rename tables and views only
rem SeeAlso:
rem History:

@setup1
set heading off

spool rename.tmp

select
  'rename '||object_name||' to '
  ||replace(object_name,upper('&&2'),upper('&&3'))
  ||';'
from &&ora._objects
where owner like &&o1   --user
and object_name like &&n1
and object_type in ('TABLE', 'VIEW')
order by owner, object_name
;
spool off
@doit
set feedback on
@rename.tmp

@setdefs
