rem Author:  Mark Lang, 1998
rem Name:    roles.sql
rem Purpose: List roles
rem Usage:   @roles <%role%> <%granted_to%>
rem Subject: security
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup
define rol="upper('&&1')"
define grt="upper('&&2')"

select
  role,
  password_required
from sys.dba_roles r
where role like &&rol
and (
  &&grt = '%'
  or exists (
    select 0
    from sys.dba_role_privs
    where grantee = r.role
    and granted_role like &&grt
  )
) 
order by role
;

undef rol grt

@setdefs
