rem Author:  Mark Lang, 1998
rem Name:    rvsys.sql
rem Purpose: Revokes select on SYS tables from a user
rem Usage:   @rvsys <%object%> <user>
rem Subject: security
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @grsys
rem          01-feb-98  Initial release

@setup
set heading off
define obj="upper('&&1')"
define usr="nvl(upper('&&2'), 'PUBLIC')"

spool rvsys.lis

select
  'revoke '||o.privilege||' on '||o.owner||'.'||o.table_name
  ||' from '||o.grantee||';'
from sys.dba_tab_privs o
where user = 'SYS'
and o.owner = 'SYS'
and o.table_name like upper('&&1')
and o.grantee <> 'PUBLIC'
and o.grantee like &&usr
;

spool off
@doit
set feedback on
@rvsys.lis

undef obj usr

@setdefs

