rem Author:  Mark Lang, 1998
rem Name:    search.sql
rem Purpose: Search source code for patterns
rem Usage:   @search <%owner.name%> <%type%> <%search%> <[+-]win>
rem Subject: plsql
rem Attrib:  sql
rem Descr:
rem Notes:   Display window around matching line is determined by <[+-]win>
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1

define typ="upper('&&2')"
define src="upper('&&3')"
define win="'&&4'"
define les="decode(substr(&&win,1,1),'+',0,to_number(&&win))"
define mor="decode(substr(&&win,1,1),'-',0,to_number(&&win))"

select
  s.text
from &&ora._source s
where s.owner like &&o1
and s.name like &&n1
and s.type like &&typ
and (
  upper(s.text) like &&src
  or exists (
    select 0
    from &&ora._source
    where owner = s.owner
    and name = s.name
    and type = s.type
    and (line between s.line-&&mor and s.line+&&les)
    and upper(text) like &&src
  )
)
order by s.owner, s.name, s.type, s.line
;

undef typ src win les mor

@setdefs



