rem Author:  Mark Lang, 1998
rem Name:    seqs.sql
rem Purpose: List sequences
rem Usage:   @seqs <%owner.table%>
rem Subject: object:sequence
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @crseq @objs
rem History:
rem          01-feb-98  Initial release

@setup1

column sname format a30 heading "SEQUENCE"
column last_number format 999990 heading "LAST #"
column cycle_flag format a5 heading "CYCLE"
column order_flag format a5 heading "ORDER"
column cache_size format 990 heading "CACHED"

select
sequence_owner||'.'||sequence_name sname
,last_number
,cycle_flag
,order_flag
,cache_size  
from all_sequences
where sequence_owner like &&o1
and sequence_name like &&n1
order by 1
;

@setdefs
