rem Author:  Mark Lang, 1998
rem Name:    setbuf.sql
rem Purpose: Set BUFFER_POOL for tables
rem Usage:   @setbuf <%owner.table%> <buffer_pool>
rem Subject: object:table
rem Attrib:  sql gen ddl v80
rem Descr:
rem Notes:
rem SeeAlso: @setbufi
rem History:
rem          10-feb-98  Fixed bug (added semi-colon)
rem          01-feb-98  Initial release

@setup1
set heading off
define buf="upper('&&2')"

spool setbuf.tmp

select
'alter table '||owner||'.'||table_name||&&cr
||'storage (buffer_pool '||&&buf||');'
from &&ora._tables
where owner like &&o1
and table_name like &&n1
and &&buf in ('DEFAULT', 'KEEP', 'RECYCLE')
and buffer_pool <> &&buf;

spool off
@doit
set feedback on
@setbuf.tmp

undef buf

@setdefs
