rem Author:  Mark Lang, 1998
rem Name:    setup2.sql
rem Purpose: Setup for scripts with 2 arguments
rem Usage:   @setup2
rem Subject: sqlplus
rem Attrib:  sql nst
rem Descr:
rem Notes:   Define macros for spliting <%owner.name%> arguments
rem          Owner default to USER if not specified, even with "%"
rem          to wildcard all objects use "%.%"
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1
define o2 = "decode(instr('&&2', '.'), 0, USER, upper(substr('&&2', 1, instr('&&2', '.')-1)))"
define n2 = "upper(substr('&&2', instr('&&2', '.')+1))"
