rem Author:  Mark Lang, 1998
rem Name:    setver.sql
rem Purpose: Set DEFINES to support version 8
rem Usage:   @setver
rem Subject: sqlplus
rem Attrib:  sql nst
rem Descr:
rem Notes:
rem SeeAlso: @setup
rem History:
rem          01-feb-98  Initial release

set termout off
var dbver varchar2(128)
var dbcom varchar2(128)
-- USE _O_RELEASE DEFINE???
--exec dbms_utility.db_version(:dbver, :dbcom);
column a1 new_value dbmajor
column a2 new_value dbminor
column a3 new_value dbaddns
select
  substr('&&_O_RELEASE', 1, 1) a1
, substr('&&_O_RELEASE', 3, 1) a2
, decode(substr('&&_O_RELEASE',1,1),'8','#','') a3
from dual;
column a1 clear
column a2 clear
column a3 clear
set termout on

