rem Author:  Mark Lang, 1998
rem Name:    sizes.sql
rem Purpose: Display objects in shared pool
rem Usage:   @sizes <minKb>
rem Subject: instance
rem Attrib:  pls dba
rem Descr:
rem Notes:   DBMS_SHARED_POOL package must be accessible
rem SeeAlso: @sgastat @pin @unpin
rem History:
rem          01-feb-98 Initial release


@setup
define sz="to_number('&&1')"

set serveroutput on size 10240
begin
sys.dbms_shared_pool.sizes(&&sz);
end;
/

@undef sz

@setdefs

