rem Author:  Mark Lang, 1998
rem Name:    slogs.sql
rem Purpose: Display snapshot logs
rem Usage:   @slogs <%owner.name%>
rem Subject: object:snapshot
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @snaps @refgrp
rem History:
rem          01-feb-98  Initial release
rem          12-jan-98  Created


@setup1

column lname 		format a20 heading "SNAPSHOT_LOG"
column log_table 	format a20
column log_trigger	format a20
column cursnap          format a16 heading "CURRENT"

SELECT
  log_owner||'.'||master lname
, log_table
, log_trigger
, to_char(current_snapshots, 'Dy Mon DD HH24:MI') cursnap
FROM &&oru._snapshot_logs
WHERE log_owner LIKE &&o1 AND master LIKE &&n1
;


@setdefs
