rem Author:  Mark Lang, 1998
rem Name:    trace.sql
rem Purpose: Set SQL_TRACE on/off in selected user sessions
rem Usage:   @trace <%user%> <%sid,serial#%> <true|false>
rem Subject: tuning
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

define usr="upper('&&1')"
define sid="'&&2'"
define mod="'&&3'"

spool trace.tmp

select
'exec sys.dbms_system.set_sql_trace_in_session('|| 
to_char(sid)||','||to_char(serial#)||','||&&mod||');'
from v$session
where username like &&usr
and ltrim(to_char(sid))||','||ltrim(to_char(serial#)) like &&sid
;

spool off
set feedback on
@doit
@trace.tmp

undef usr sid mod

@setdefs

