rem Author:  Mark Lang, 1998
rem Name:    trunc.sql
rem Purpose: Drop database objects
rem Usage:   @trunc <%owner.table%> <%type%>
rem Subject: object:table
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:   Use with caution
rem SeeAlso: @delete @drop
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

define ty="upper('&&2')"

spool trunc.tmp
select
  'truncate '||o.object_type||' '||o.owner||'.'||o.object_name||';'
from &&ora._objects o
where o.owner <> 'SYS'
and o.owner like &&o1
and o.object_name like &&n1
and o.object_type like &&ty
and o.object_type in ('TABLE','CLUSTER')
order by o.owner, o.object_name
;

spool off

set feedback on
@doit
@trunc.tmp

undef ty

@setdefs

