rem Author:  Mark Lang, 1998
rem Name:    unpin.sql
rem Purpose: Un-pin objects in shared pool
rem Usage:   @unpin [owner.]object
rem Subject: instance
rem Attrib:  pls dba ddl
rem Descr:
rem Notes:
rem SeeAlso: @pin
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

spool unpin.tmp

select
'exec sys.dbms_shared_pool.unkeep('''||owner||'.'||object_name||''');'
from sys.dba_objects
where owner like &&o1
and object_name like &&n1
and object_type='PACKAGE'
order by owner, object_name
;

spool off
@doit
set feedback on
@unpin.tmp
@setdefs

