rem Author:  Mark Lang, 1998
rem Name:    up.sql
rem Purpose: Display up time of database
rem Usage:   @up
rem Subject: instance
rem Attrib:  sql dba n80
rem Descr:
rem Notes:
rem SeeAlso: @db
rem History:
rem          01-feb-98  Initial release


@setup
set heading off

select
  decode(key, 'RESTRICTED MODE',
    decode(value, 0, '', 'Restricted mode ENABLED'), '')||
  decode(key, 'SHUTDOWN PENDING',
    decode(value, 0, '', 'Shutdown pending...'), '')||
  decode(key, 'STARTUP TIME - JULIAN',
    'Instance started: '||
    TO_CHAR(TO_DATE(value, 'J'), 'Dy Mon DD, YYYY HH24:MI:SS'), '')||
  decode(key, 'STARTUP TIME - SECONDS',
    'Uptime: '||to_char(value)||' seconds', '')
from v$instance i
;

@setdefs
