rem Author:  Mark Lang, 1998
rem Name:    usage.sql
rem Purpose: Show session usage
rem Usage:   @usage
rem Subject: session
rem Attrib:  sql
rem Descr:
rem Notes:   enh: this is a simple script, needs more info
rem SeeAlso: @lic @sess
rem History:
rem          01-feb-98  Initial release

@setup
define db=""

set heading off
set timing on
select rpad(max(d.name),8)||' Sessions (Cur/Max/Usr/Bkg): '||
  to_char(max(l.sessions_current), '9,990')||
  to_char(max(l.sessions_highwater), '9,990')||
  to_char(sum(decode(s.type, 'USER', 1, 0)), '9,990')||
  to_char(sum(decode(s.type, 'BACKGROUND', 1, 0)), '9,990')
from v$database&&db d, v$license&&db l, v$session&&db s
;
set timing off

undef db

@setdefs
