rem Author:  Mark Lang, 1998
rem Name:    waits.sql
rem Purpose: Show session waits
rem Usage:   @waits <%user%>
rem Subject: tuning
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

define db=""
define usr="upper('&&1')"

column username format a12
column event format a30
column wait_time format 999,990
column seconds_in_wait format 999,990 heading "INWAIT(S)"
column state format a15 word

select 
s.username
,w.event
,w.wait_time
,w.seconds_in_wait
,w.state
from v$session_wait&&db w, v$session&&db s
where s.username like &&usr
and w.sid=s.sid
order by s.username,w.wait_time
;

undef db usr

@setdefs
