rem Author:  Mark Lang, 1998
rem Name:    whoamip.sql
rem Purpose: Set SQLPROMPT to "<user>@<database>> "
rem Usage:   @whoamip
rem Subject: sqlplus
rem Attrib:  sql nst
rem Descr:
rem Notes:   Set in LOGIN.SQL or GLOGIN.SQL to set SQLPROMPT
rem          initially.  Use @conn to connect within SQL*Plus.
rem SeeAlso: @conn
rem History:
rem          06-feb-98  Created

set termout off
column a1 new_value prmpt
select
user||'@'||global_name||'> ' a1
from global_name;
set sqlprompt "&&prmpt"
clear column a1
undef prmpt
set termout on

