rem Author:  Mark Lang, 1998
rem Name:    bufpool.sql
rem Purpose: Display stats for mutliple buffer pools
rem Usage:   @bufpool
rem Subject: instance
rem Attrib:  sql dba v80
rem Descr:
rem Notes:
rem SeeAlso: @sga
rem History:
rem          01-feb-98  Initial release

@setup

column id format 90
column lo_setid format 9990 heading "LOID"
column hi_setid format 9990 heading "HIID"
column set_count format 990 heading "SETCNT"

select
id
,name
,lo_setid
,hi_setid
,set_count
,buffers
,lo_bnum
,hi_bnum
from v$buffer_pool
;

@setdefs

