rem Author:  Mark Lang, 1998
rem Name:    cmts.sql
rem Purpose: Display comments on a table
rem Usage:   @cmts <%owner.table%> <%search%>
rem Subject: object:comment
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1

column name     format a25
column comments format a53 WORD

select
  owner||'.'||table_name name,
  comments
from &&ora._tab_comments
where owner like &&o1 and table_name like &&n1
and upper(comments) like upper('&&2')
;

@setdefs

