rem Author:  Mark Lang, 1998
rem Name:    coalesce.sql
rem Purpose: Perform ALTER TABLESPACE ... COALESCE on selected tablespaces
rem Usage:   @coalesce <%ts%>
rem Subject: space
rem Attrib:  sql gen ddl dba
rem Descr:
rem Notes:   
rem SeeAlso: @frag
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

define ts="upper('&&1')"

spool coalesce.tmp

select
'alter tablespace '||tablespace_name||' coalesce;'
from sys.dba_tablespaces
where tablespace_name like &&ts 
and tablespace_name<>'SYSTEM'
order by tablespace_name
;

spool off
@doit
set feedback on
@coalesce.tmp

undef ts

@setdefs

