rem Author:  Mark Lang, 1998
rem Name:    dropsegs.sql
rem Purpose: Drop database objects associated with specified segments
rem Usage:   @dropsegs <%owner.table%> <%type%> <%tablespace%>
rem Subject: object
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso: @drop @segs
rem History:
rem          01-feb-98  Initial release

@setup1
SET HEADING OFF

DEFINE ty="UPPER('&&2')"

SPOOL dropsegs.tmp
SELECT
  'DROP '||s.segment_type||' '||&&segown||'.'||s.segment_name||
  DECODE(s.segment_type,
    'TABLE', ' CASCADE CONSTRAINTS',
    'CLUSTER', ' INCLUDING TABLES CASCADE CONSTRAINTS'
  )||';'
from &&ora._segments s
where s.owner <> 'SYS'
and &&segown like &&o1
and s.segment_name like &&n1
and s.segment_type like &&ty
order by o.owner, o.segment_name
;
spool off

set feedback on
@doit
@dropsegs.tmp

undef ty

@setdefs

