rem Author:  Mark Lang, 1998
rem Name:    dump.sql
rem Purpose: Dump stored object definitions to a file
rem Usage:   @DUMP <%owner.object%> <filename>
rem Subject: plsql
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:


@setup1
set heading off
set long 32000
set linesize 255
set trimspool on

column text format a255

spool &&2
select
  decode(line, 1, chr(10)||'create or replace '||chr(10), '')||text
    text
from sys.dba_source s
where s.owner like &&o1 and s.name like &&n1
order by decode(s.type, 'PROCEDURE', 1, 'FUNCTION', 2, 'PACKAGE', 3, 4),
  s.owner, s.name, line
;
select '/' from dual;
spool off

@setdefs

