rem Author:  Mark Lang, 1998
rem Name:    dupscnt.sql
rem Purpose: Display count of rows with duplicate values
rem Usage:   @dupscnt <owner.table> <expr>
rem Subject: data
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @dups
rem History:

@setup

define tab="&&1"
define exp="&&2"

select
  count(&&exp) 
from &&tab t
where exists (
  select 0
  from &&tab
  where &&exp = t.&&exp
  and rowid <> t.rowid
)
order by &&exp
;

undef tab exp

@setdefs
