rem Author:  Mark Lang, 1998
rem Name:    explstmt.sql
rem Purpose: Do EXPLAIN PLAN on given statement
rem Usage:   @explsel "stmt"
rem Subject: tuning
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @explain @expltab
rem History:
rem          01-feb-98  Initial release

@setup
@expltab

define stmt="&&1"

set termout off
column plan_name new_value plan
select user||userenv('sessionid') plan_name from dual;
column plan_name clear
set termout on

prompt Creating plan &&plan...

delete from plan_table where statement_id='&&plan';
explain plan set statement_id='&&plan'
for
&&stmt;

@explain &&plan 80

undef plan stmt

@setdefs

