rem Author:  Mark Lang, 1998
rem Name:    finger.sql
rem Purpose: Display username and database
rem Usage:   @finger <db> <%user%>
rem Subject: session
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @who
rem History:
rem          01-feb-98  Initial release
rem          21-jan-98  added <%user%> parameter
rem          13-jan-98	Display user SID in output


@setup
@setupdb

define usr="upper('&&2')"

column uname format a15
column program format a25 wrap
column terminal format a10
column logon_time format a12
column status format a8
column module format a20 wrap

select
  s.username||','||s.sid uname,
  s.process,
  s.terminal,
  to_char(s.logon_time, 'Dy HH24:MI') logon_time,
  s.status,
  s.module
from v$session&&db s
where s.type = 'USER'
and s.username is not null
and s.username like &&usr
order by username
;

undef usr db

@setdefs


