rem Author:  Mark Lang, 1998
rem Name:    keeps.sql
rem Purpose: Displays size of objects pinned in SGA
rem Usage:   @keeps <%owner.name%> <minKb>
rem Subject: instance
rem Attrib:  sql dba v80
rem Descr:
rem Notes:   DBA_KEEPSIZES package must be accessible
rem SeeAlso: @sgastat @pin @unpin
rem History:
rem          01-feb-98  Initial release
rem          25-jan-98  Created

@setup1
define sz="to_number(replace('&&2','%','0'))"
column oname format a35

select
owner||'.'||name oname
,totsize
from sys.dba_keepsizes
where owner like &&o1
and name like &&n1
and totsize >= &&sz
order by decode(&&sz,0,0,totsize),owner,name;

undef sz

@setdefs

