rem Author:  Mark Lang, 1998
rem Name:    logs.sql
rem Purpose: Display redo logs information
rem Usage:   @logs 
rem Subject: database
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

column group# format 90 heading "G#"
column sequence# format 99990 heading "SEQ#"
column kbytes format 99990 heading "KB"
column members format 90 heading "MEM"
column archived format a3 heading "ARC"
column status format a10
column first_change# format 9999999990 heading "1ST CHG#"

select
group#
--,thread#
,sequence#
,bytes/1024 kbytes
,members
,first_change#
,first_time
,status
,archived
from v$log;

@setdefs
