rem Author:  Mark Lang, 1998
rem Name:    mcount.sql
rem Purpose: Count records in multiple tables
rem Usage:   @mcount <%owner.table%> <%type%>
rem Subject: data
rem Attrib:  sql gen
rem Descr:
rem Notes:
rem SeeAlso: @count
rem History:
rem          01-feb-98  Initial release

@setup1
define typ="upper('&&2')"
set heading off
set termout off

spool mcount.tmp

SELECT
  '@count '||t.owner||'.'||t.object_name
FROM &&ora._objects t
WHERE t.owner LIKE &&o1
AND t.object_name LIKE &&n1
and t.object_type like &&typ
and t.object_type in ('TABLE','VIEW')
order by owner, object_name
;

spool off

set termout on

@mcount.tmp

undef typ

@setdefs
