rem Author:  Mark Lang, 1998
rem Name:    mts.sql
rem Purpose: Display MTS parameters
rem Usage:   @mts
rem Subject: mts
rem Attrib:  sql
rem Descr:
rem Notes:   use mtsmon instead
rem SeeAlso: @mtsmon
rem History:
rem          01-feb-98  Initial release

@setup

select * from v$mts;

column network format a10
column disp format 990
column circ format 990
column ratio format 90.99
column load format 0.990

select
  d.network,
  count(distinct paddr) disp,
  count(distinct circuit) circ,
  count(distinct circuit)/count(distinct paddr) ratio,
  sum(busy)/sum(busy+idle) load
from v$dispatcher&&db d, v$circuit&&db c
where d.paddr = c.dispatcher(+)
group by d.network;

-- display dispatcher/circuit ratios

@setdefs


