rem Author:  Mark Lang, 1998
rem Name:    nopk.sql
rem Purpose: Show tables with no primary keys
rem Usage:   @nopk <%owner.table%>
rem Subject: quality
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @nofk
rem History:
rem          01-feb-98  Initial release

@setup1

column tname format a30 heading "TABLE_NAME"

select 
owner||'.'||table_name tname
from &&ora._tables t
where owner like &&o1
and table_name like &&n1
and not exists (
  select 0
  from &&ora._constraints c
  where owner=t.owner
  and table_name=t.table_name
  and constraint_type='P'
);

@setdefs
