rem Author:  Mark Lang, 1998
rem Name:    notfound.sql
rem Purpose: Show exceptions to a possible foreign key column
rem Usage:   @notfound <owner.table1> <col1> <owner.table2> <col2>
rem Subject: data
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

select &&2
from &&1 t
where not exists (
  select 0
  from &&3
  where &&4 = t.&&2
)
and &&2 is not null
order by 1
;

@setdefs
