rem Author:  Mark Lang, 1998
rem Name:    params.sql
rem Purpose: Display instance parameters (from init.ora)
rem Usage:   @params <%parameter%> <%|TRUE|FALSE>
rem Subject: instance
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso: @paramd
rem History:
rem          01-feb-98  Initial release

@setup

define db=""
define par="upper('&&1')"
define def="upper('&&2')"

column name 	 format a35
column value     format a35
column isdefault format a5

select
  name,
  value,
  isdefault
from v$parameter&&db
where upper(name) like &&par
and isdefault like &&def
order by name
;

undef db par def

@setdefs
