rem Author:  Mark Lang, 1998
rem Name:    pin.sql
rem Purpose: Pin packages in SGA
rem Usage:   @pin <%owner.object%>
rem Subject: instance
rem Attrib:  sql gen dba
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

spool pin.tmp

select
'exec sys.dbms_shared_pool.keep('''||owner||'.'||object_name||''');'
from sys.dba_objects
where owner like &&o1
and object_name like &&n1
and object_type='PACKAGE'
order by owner, object_name
;

spool off
@doit
set feedback on
@pin.tmp
@setdefs

