rem Author:  Mark Lang, 1998
rem Name:    pq.sql
rem Purpose: Show Parallel Query vital stats
rem Usage:   @pq
rem Subject: tuning
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

column idle_time_total format 9990 heading "IDLE"
column busy_time_total format 9990 heading "BUSY"
column cpu_secs_total  format 99990 heading "CPU(s)"
column msgs_sent_total format 9990 heading "MSENT"
column msgs_rcvd_total format 9990 heading "MRCVD"

select
  slave_name,
  status,
  sessions, 
  idle_time_total,
  busy_time_total,
  cpu_secs_total,
  msgs_sent_total,
  msgs_rcvd_total 
from v$pq_slave
order by slave_name
;

