rem Author:  Mark Lang, 1998
rem Name:    profs.sql
rem Purpose: Display profiles
rem Usage:   @profs <%profile%> <%resouce%> <%limit%>
rem Subject: user
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

define pro="upper('&&1')"
define res="upper('&&2')"
define lim="upper('&&3')"

column profile format a20
column resource_limit format a30
column limit format a15

select 
  profile,
  resource_name,
  limit
from sys.dba_profiles
where profile like &&pro
and resource_name like &&res
and limit like &&lim
order by profile, resource_name
;

undef pro res lim

@setdefs

