rem Author:  Mark Lang, 1998
rem Name:    pubs.sql
rem Purpose: Display public synonyms
rem Usage:   @pubs <%name%> <%referenced_object%>
rem Subject: object:synonym
rem Attrib:  sql
rem Descr:
rem Notes:   enh: show if object exists (local)?
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup

column synonym_name format a20 heading "SYNONYM"
column resolve format a40 heading "OBJECT_NAME"

select
  s.synonym_name,
  decode(s.table_owner, null, '', s.table_owner||'.')
  ||s.table_name||decode(s.db_link, null, '', '@'||db_link)
    resolve
from &&ora._synonyms s
where owner = 'PUBLIC'
and synonym_name like upper('&&1')
and table_owner||'.'||table_name||decode(db_link, null, '', '@'||db_link)
    like upper('&&2')
order by synonym_name;

@setdefs
