rem Author:  Mark Lang, 1998
rem Name:    qacons.sql
rem Purpose: Remove redundant constraints
rem Usage:   @qacons <%owner.table%> <%constraint_type%>
rem Subject: quality
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:   
rem SeeAlso: @cons
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

define con="upper('&&2')"

spool qacons.tmp

select 
'alter table '||c.owner||'.'||c.table_name||&&cr
||'drop constraint '||c.constraint_name||';'
from &&ora._constraints c
where c.constraint_type='C'
and c.constraint_type like &&con
and c.owner<>'SYS'
and c.owner like &&o1
and c.table_name like &&n1
and exists (
  select 0
  from &&ora._constraints
  where owner=c.owner
  and table_name=c.table_name
  and constraint_type='C'
  and constraint_name<c.constraint_name
  and upper(util.scond(owner,constraint_name))=
    upper(util.scond(c.owner,c.constraint_name))
)
;

spool off
@doit
set feedback on
@qacons.tmp

undef con

@setdefs
