rem Author:  Mark Lang, 1998
rem Name:    cknn.sql
rem Purpose: Checks/removes redundant NOT NULLs on PRIMARY KEY columns
rem Usage:   @cknn <%owner.table%>
rem Subject: quality
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:   SHOULD THIS BE USED??
rem SeeAlso: @qacons
rem History:

@setup1 
set heading off

define sc="util.scond(c.owner,c.constraint_name)"
define nc="instr(&&sc, ' ')"

spool cknn.tmp
select
  'alter table '||c.owner||'.'||c.table_name||&&cr||
  'drop constraint '||c.constraint_name||';'
from sys.dba_constraints c, sys.dba_constraints pk 
where c.owner like &&o1
and c.table_name like &&n1
and c.constraint_type = 'C'
and pk.owner = c.owner
and pk.table_name = c.table_name
and pk.constraint_type = 'P' 
and substr(&&sc, &&nc+1) = 'IS NOT NULL'
and exists (
  select 0
  from sys.dba_cons_columns
  where owner = pk.owner
  and constraint_name = pk.constraint_name
  and column_name = substr(&&sc, 1, &&nc-1)
) 
;
spool off
@doit
set feedback on
@cknn.tmp

undef nc sc

@setdefs

