rem Author:  Mark Lang, 1998
rem Name:    rbs.sql
rem Purpose: Display Rollback segments
rem Usage:   @rbs
rem Subject: database
rem Attrib:  sql gen ddl dba
rem Descr:
rem Notes:
rem SeeAlso: @rbsstat
rem History:
rem          01-feb-98  Initial release

@setup

column segment_name format a8
column owner format a6
column tablespace_name format a15
column status format a20
column max_extents format 990 heading "MAXEXT"
column instance_num format a5 heading "INST#"

select
  segment_name,
  owner,
  tablespace_name,
  status,
  max_extents,
  instance_num
from sys.dba_rollback_segs
;

@setdefs

