rem Author:  Mark Lang, 1998
rem Name:    rbson.sql
rem Purpose: Set available rollback segments online
rem Usage:   @rbson <%rbs%>
rem Subject: database
rem Attrib:  sql dba
rem Descr:
rem Notes:
rem SeeAlso: @rbsoff
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

spool rbson.tmp

select
'alter rollback segment '||segment_name||' online;'
from sys.dba_rollback_segs
where segment_name like upper('&&1')
and tablespace_name<>'SYSTEM'
and status='OFFLINE'
order by segment_name
;

spool off

@doit
set feedback on
@rbson.tmp
@setdefs

