rem Author:  Mark Lang, 1998
rem Name:    rebuild.sql
rem Purpose: Move indexes to another tablespace
rem Usage:   @rebuild <%owner.table%> <%index%> <%tspace%> <new_tspace|*>
rem Subject: object:table:index
rem Attrib:  sql gen ddl
rem Descr:
rem Notes:
rem SeeAlso: @idxs
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

define ix="upper('&&2')"
define ts="upper('&&3')"
define nt="decode('&&4','*','',' tablespace '||upper('&&4'))"

spool rebuild.tmp

select
'alter index '||i.owner||'.'||i.index_name||&&cr
||'rebuild'||&&nt||
';'
from &&ora._indexes i
where i.table_owner like &&o1
and i.table_name like &&n1
and i.index_name like &&ix
and i.tablespace_name like &&ts
order by i.owner,i.table_name,i.index_name
;

spool off
@doit
set feedback on
@rebuild.tmp

undef is tx nt

@setdefs

