rem Author:  Mark Lang, 1998
rem Name:    schema.sql
rem Purpose: Change user default schema for resolving object names
rem Usage:   @schema <user|*>
rem Subject: user
rem Attrib:  sql ddl
rem Descr:   *=sets back to current user
rem Notes:   User privileges are not affected by this command
rem          This is not a docuemented command
rem SeeAlso: @whoami
rem History:
rem          03-feb-98  Created

@setup
set heading off
define usr="decode('&&1','*',user,'&&1')"

spool schema.tmp
set termout off
select
'prompt Set current schema to '||&&usr||&&cr
||'alter session set current_schema='||&&usr||';'
from sys.dual;
set termout on

spool off
set feedback on
@schema.tmp

undef usr

@setdefs
