rem Author:  Mark Lang, 1998
rem Name:    setbufi.sql
rem Purpose: Set BUFFER_POOL for tables
rem Usage:   @setbufi <%owner.table%> <%owner.index_name%> <buffer_pool>
rem Subject: object:table
rem Attrib:  sql gen ddl v80
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup2
set heading off
define buf="upper('&&3')"

spool setbufi.tmp

select
'alter index '||owner||'.'||index_name||&&cr
||'storage (buffer_pool '||&&buf||');'
from &&ora._indexes
where table_owner like &&o1
and table_name like &&n1
and owner like &&o2
and index_name like &&n2
and &&buf in ('DEFAULT', 'KEEP', 'RECYCLE')
and buffer_pool <> &&buf;

spool off
@doit
set feedback on
@setbufi.tmp

undef buf

@setdefs
