rem Author:  Mark Lang, 1998
rem Name:    setts.sql
rem Purpose: Set default storage for tablespaces
rem Usage:   @setts <%tablespace%> <pctfree>
rem Subject: database
rem Attrib:  sql gen ddl dba
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup
set heading off

define ts="upper('&&1')"
define pi="'&&2'"

spool setts.tmp

select
'alter tablespace '||tablespace_name||&&cr
||' default storage (pctincrease '||&&pi
||');'
from sys.dba_tablespaces
where tablespace_name like &&ts
order by tablespace_name
;

spool off
@doit
set feedback on
@setts.tmp

undef ts pi

@setdefs
