rem Author:  Mark Lang, 1998
rem Name:    setup3.sql
rem Purpose: Setup for scripts with 3 arguments
rem Usage:   @setup3
rem Subject: sqlplus
rem Attrib:  sql nst
rem Descr:
rem Notes:   Define macros for spliting <%owner.name%> arguments
rem          Owner default to USER if not specified, even with "%"
rem          to wildcard all objects use "%.%"
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release

@setup2
define o3 = "decode(instr('&&3', '.'), 0, user, upper(substr('&&3', 1, instr('&&3', '.')-1)))"
define n3 = "upper(substr('&&3', instr('&&3', '.')+1))"
