rem Author:  Mark Lang, 1998
rem Name:    sgastat.sql
rem Purpose: Display memory allocation in sga
rem Usage:   @sgastat <%name%> <minb>
rem Subject: tuning
rem Attrib:  sql dba
rem Attrib:  sql
rem Descr:
rem Notes:   If <minb> is specified then sort by bytes
rem SeeAlso: @sga
rem History:
rem          01-feb-98  Initial release

@setup

column bytes format 999,999,990

define nm="'&&1'"
define minb="(to_number(replace('&&2','%','0')))"

select
name
,bytes
from v$sgastat
where name like &&nm
and bytes>=&&minb
order by decode(sign(&&minb),0,name,to_char(bytes,'999,999,990'))
;

undef nm minb

@setdefs


