rem Author:  Mark Lang, 1998
rem Name:    snaps.sql
rem Purpose: Display snapshots
rem Usage:   @snaps <%owner.name%>
rem Subject: object:snapshot
rem Attrib:  sql
rem Descr:
rem Notes:   Assumes ".world" domain
rem SeeAlso: @jobs @objs @refgrp
rem History:
rem          01-feb-98 Initial release

@setup1

column oname 		format a20
column master_link 	format a15
column lastr 		format a15
column error		format 9990
column refresh_group	format 9990 heading "REFGRP"

select
  owner||'.'||name oname,
  replace(master_link, '.WORLD') master_link,
  to_char(last_refresh, 'MON-DD HH24:MI:SS') lastr,
  error,
  type,
  refresh_group
from &&ora._snapshots
where owner like &&o1 and name like &&n1
;

@setdefs
