rem Author:  Mark Lang, 1998
rem Name:    sqlarea.sql
rem Purpose: Display memory usage in SQL area
rem Usage:   @sqlarea
rem Subject: tuning
rem Attrib:  sql
rem Descr:
rem Notes:   enh: needs more parameters
rem SeeAlso: @lastsql
rem History:
rem          01-feb-98 Initial release


@setup

column sql_text format a40 wrap
column sharable_mem format 9,999,990
column persistent_mem format 9,999,990
column runtime_mem format 9,999,990

select
sharable_mem
,persistent_mem
,runtime_mem
,sql_text
from v$sqlarea
;

@setdefs


