rem Author:  Mark Lang, 1998
rem Name:    syns.sql
rem Purpose: Display user synonyms
rem Usage:   @syns <%owner.synonym%>
rem Subject: object:synonym
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @pubs
rem History:
rem          01-feb-98  Initial release

@setup1

column sname format a30
column oname format a35

select
owner||'.'||synonym_name sname
,table_owner||'.'||table_name
  ||decode(db_link,null,'','@'||db_link) oname
from &&ora._synonyms
where owner like &&o1
and synonym_name like &&n1
order by owner, synonym_name
;

@setdefs

