rem Author:  Mark Lang, 1998
rem Name:    trigs2.sql
rem Purpose: Report summary of triggers by type and event
rem Usage:   @trigs2 <%owner.table%>
rem Subject: object:table:trigger
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso:
rem History:
rem          01-feb-98  Initial release


@setup1

select
trigger_type
,triggering_event
,sum(decode(status,'ENABLED',1,0)) enabled  
,sum(decode(status,'ENABLED',0,1)) disabled  
from all_triggers
where owner like &&o1
and table_name like &&n1
group by trigger_type,triggering_event
;

@setdefs

