rem Author:  Mark Lang, 1998
rem Name:    trim.sql
rem Purpose: Trim values in columns
rem Usage:   @trim <%owner.table%> <%columns%>
rem Subject: data
rem Attrib:  sql gen dml
rem Descr:
rem Notes:
rem SeeAlso: @trimu @upper
rem History:
rem          01-feb-98  Initial release

@setup1
set heading off

define col="upper('&&2')"
define c1="t.column_name"
define c2="'rtrim('||t.column_name||')'"
 
set serveroutput on size 102400

spool trim.tmp

select 
'update '||t.owner||'.'||t.table_name||&&cr
||'set '||&&c1||'='||&&c2||&&cr
||'where '||&&c1||'<>'||&&c2||&&cr
||'or ('||&&c1||' is not null and '||&&c2||' is null);'
from &&ora._tab_columns t
where t.owner like &&o1
and t.table_name like &&n1
and t.column_name like &&col
and t.data_type='VARCHAR2'
order by t.owner, t.table_name, t.column_name
;

spool off

@doit
set feedback on
@trim.tmp

undef col c1 c2

@setdefs
