rem Author:  Mark Lang, 1998
rem Name:    upper.sql
rem Purpose: Trim values in columns
rem Usage:   @upper <%owner.table%> <%columne%>
rem Subject: data
rem Attrib:  sql
rem Descr:
rem Notes:
rem SeeAlso: @trim @trimu
rem History:
rem          01-feb-98  Initial release


@setup1
define col="upper('&&2')"
 
set serveroutput on size 248000

spool upper.tmp

declare
  n number;
  m number;
begin
  n := 0;
  for r in (
    select owner,table_name,column_name
    from &&ora._tab_columns
    where owner like &&o1
    and table_name like &&n1
    and column_name like &&col
    order by owner, table_name, column_name
  ) loop
    &&putl('update '||r.owner||'.'||r.table_name);
    &&putl('set '||r.column_name||'=lupper('||r.column_name||')');
    &&putl('where lupper('||r.column_name||') is not null');
    &&putl('and '||r.column_name||' <> upper('||r.column_name||');');
    n := n + 1;
  end loop;
  &&putl('rem '||to_char(n)||' columns to be updated...');
end;
/

spool off

@doit
set feedback on
@upper.tmp

undef col

@setdefs
